Grep tool
curl --request POST \
--url http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pattern": "<string>",
"path": "<string>",
"ignore_case": true,
"fixed_strings": true,
"include": "<string>",
"context": 1,
"files_with_matches": true,
"count": true,
"max_count": 2
}
'import requests
url = "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep"
payload = {
"pattern": "<string>",
"path": "<string>",
"ignore_case": True,
"fixed_strings": True,
"include": "<string>",
"context": 1,
"files_with_matches": True,
"count": True,
"max_count": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pattern: '<string>',
path: '<string>',
ignore_case: true,
fixed_strings: true,
include: '<string>',
context: 1,
files_with_matches: true,
count: true,
max_count: 2
})
};
fetch('http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8765",
CURLOPT_URL => "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pattern' => '<string>',
'path' => '<string>',
'ignore_case' => true,
'fixed_strings' => true,
'include' => '<string>',
'context' => 1,
'files_with_matches' => true,
'count' => true,
'max_count' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep"
payload := strings.NewReader("{\n \"pattern\": \"<string>\",\n \"path\": \"<string>\",\n \"ignore_case\": true,\n \"fixed_strings\": true,\n \"include\": \"<string>\",\n \"context\": 1,\n \"files_with_matches\": true,\n \"count\": true,\n \"max_count\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pattern\": \"<string>\",\n \"path\": \"<string>\",\n \"ignore_case\": true,\n \"fixed_strings\": true,\n \"include\": \"<string>\",\n \"context\": 1,\n \"files_with_matches\": true,\n \"count\": true,\n \"max_count\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pattern\": \"<string>\",\n \"path\": \"<string>\",\n \"ignore_case\": true,\n \"fixed_strings\": true,\n \"include\": \"<string>\",\n \"context\": 1,\n \"files_with_matches\": true,\n \"count\": true,\n \"max_count\": 2\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>",
"is_error": true
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}Tools
Grep tool
Grep tool
curl --request POST \
--url http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pattern": "<string>",
"path": "<string>",
"ignore_case": true,
"fixed_strings": true,
"include": "<string>",
"context": 1,
"files_with_matches": true,
"count": true,
"max_count": 2
}
'import requests
url = "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep"
payload = {
"pattern": "<string>",
"path": "<string>",
"ignore_case": True,
"fixed_strings": True,
"include": "<string>",
"context": 1,
"files_with_matches": True,
"count": True,
"max_count": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pattern: '<string>',
path: '<string>',
ignore_case: true,
fixed_strings: true,
include: '<string>',
context: 1,
files_with_matches: true,
count: true,
max_count: 2
})
};
fetch('http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8765",
CURLOPT_URL => "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pattern' => '<string>',
'path' => '<string>',
'ignore_case' => true,
'fixed_strings' => true,
'include' => '<string>',
'context' => 1,
'files_with_matches' => true,
'count' => true,
'max_count' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep"
payload := strings.NewReader("{\n \"pattern\": \"<string>\",\n \"path\": \"<string>\",\n \"ignore_case\": true,\n \"fixed_strings\": true,\n \"include\": \"<string>\",\n \"context\": 1,\n \"files_with_matches\": true,\n \"count\": true,\n \"max_count\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pattern\": \"<string>\",\n \"path\": \"<string>\",\n \"ignore_case\": true,\n \"fixed_strings\": true,\n \"include\": \"<string>\",\n \"context\": 1,\n \"files_with_matches\": true,\n \"count\": true,\n \"max_count\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/tools/grep")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pattern\": \"<string>\",\n \"path\": \"<string>\",\n \"ignore_case\": true,\n \"fixed_strings\": true,\n \"include\": \"<string>\",\n \"context\": 1,\n \"files_with_matches\": true,\n \"count\": true,\n \"max_count\": 2\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>",
"is_error": true
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}Authorizations
The server's token (MIRAGE_AUTH_TOKEN) or a JWT. A daemon in the default local mode with no token accepts requests without one.
Path Parameters
The workspace's id.
Query Parameters
The session the call acts as; the default session when absent.
Body
application/json
Regular expression to search for.
Absolute path of the file or directory to search under.
Match case-insensitively (-i).
Read pattern as a literal string, not a regex (-F).
Search only files whose name matches this glob, such as *.py (--include).
Lines of context to print around each match (-C).
Required range:
x >= 0Print only the names of files that match (-l).
Print only a count of matching lines per file (-c).
Stop each file after this many matching lines (-m).
Required range:
x >= 1